<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GIMP Base Library Reference Manual: GIMP Base Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Base Library Reference Manual">
<link rel="next" href="pt01.html" title="Part I. GIMP Base Library">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<div lang="en" class="book">
<div class="titlepage">
<div>
<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">GIMP Base Library Reference Manual</p></th></tr></table></div>
<div><p class="releaseinfo">
      for GIMP 2.10.8

    </p></div>
</div>
<hr>
</div>
<div class="toc"><dl class="toc">
<dt><span class="part"><a href="pt01.html">I. GIMP Base Library</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpbaseenums.html">gimpbaseenums</a></span><span class="refpurpose"> — Basic GIMP enumeration data types.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpbasetypes.html">gimpbasetypes</a></span><span class="refpurpose"> — Translation between gettext translation domain
                    identifier and GType.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpversion.html">gimpversion</a></span><span class="refpurpose"> — Macros and constants useful for determining
                    GIMP's version number and capabilities.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimplimits.html">gimplimits</a></span><span class="refpurpose"> — Boundaries of some GIMP data types and some
                    global constants.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpparam.html">gimpparam</a></span><span class="refpurpose"> — Definitions of useful <span class="type">GParamFlags</span>.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpchecks.html">gimpchecks</a></span><span class="refpurpose"> — Constants and functions related to rendering
                    checkerboards.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpcpuaccel.html">gimpcpuaccel</a></span><span class="refpurpose"> — Functions to query and configure CPU acceleration.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpdatafiles.html">gimpdatafiles</a></span><span class="refpurpose"> — Functions to handle GIMP data files.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpenv.html">gimpenv</a></span><span class="refpurpose"> — Functions to access the GIMP environment.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpmemsize.html">gimpmemsize</a></span><span class="refpurpose"> — Functions to (de)serialize a given memory size.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpmetadata.html">gimpmetadata</a></span><span class="refpurpose"> — Basic functions for handling <span class="type">GimpMetadata</span> objects.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimprectangle.html">gimprectangle</a></span><span class="refpurpose"> — Utility functions dealing with rectangle extents.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpparasite.html">gimpparasite</a></span><span class="refpurpose"> — Arbitrary pieces of data which can be attached
                    to various GIMP objects.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpparasiteio.html">gimpparasiteio</a></span><span class="refpurpose"> — Utility functions to (de)serialize certain C
                    structures to/from <span class="type">GimpParasite</span>'s.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpsignal.html">gimpsignal</a></span><span class="refpurpose"> — Portable signal handling.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimpunit.html">gimpunit</a></span><span class="refpurpose"> — Provides a collection of predefined units and
                    functions for creating user-defined units.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-gimputils.html">gimputils</a></span><span class="refpurpose"> — Utilities of general interest</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimpbase-GimpValueArray.html">GimpValueArray</a></span><span class="refpurpose"> — A container structure to maintain an array of
    generic values</span>
</dt>
</dl></dd>
<dt><span class="index"><a href="api-index-full.html">Index</a></span></dt>
<dt><span class="index"><a href="api-index-2-2.html">Index of new symbols in GIMP 2.2</a></span></dt>
<dt><span class="index"><a href="api-index-2-4.html">Index of new symbols in GIMP 2.4</a></span></dt>
<dt><span class="index"><a href="api-index-2-8.html">Index of new symbols in GIMP 2.8</a></span></dt>
<dt><span class="index"><a href="api-index-2-10.html">Index of new symbols in GIMP 2.10</a></span></dt>
<dt><span class="index"><a href="api-index-deprecated.html">Index of deprecated symbols</a></span></dt>
</dl></div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>